package com.iformall.mapper;

import com.iformall.common.CommonMapper;
import com.iformall.domain.po.WxShop;
import com.iformall.domain.vo.WxShopVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author gongbiao
 */
public interface WxShopMapper extends CommonMapper<WxShop, String> {

	List<WxShop> findList(WxShop wxShop);

    List<Map<String,Object>> findListMap(WxShop record);

    List<Map<String,Object>> notRentListMapAsPage(WxShop record);

    List<Map<String, Object>> getbshoplist(Map<String, Object> tenantId);

    Map<String, Object> getMerchantShopByShopId(Map<String,Object> params);

    Map<String,Object> queryShopLeftInfo(Map<String,Object> shopparams);

    List<Map<String,Object>> listShopFromContract(WxShop wxShop);

    int hasShopNumber(WxShop wxShop);

    List<WxShopVo> findListWithMerchantMap(WxShop record);

    List<WxShopVo> findShopVoList(@Param("merchantId") Long merchantId);

    Long getCountByWxShop(WxShop wxShop);

    List<Map<String,Object>> rentRateHistory(Map<String, Object> params);

}
